This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 722406 - ./configure needs to pass --host ...-linux-gnueabi when building for ARM
./configure needs to pass --host ...-linux-gnueabi when building for ARM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
arm7 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2011-07-15 04:57 EDT by Niels de Vos
Modified: 2011-07-28 16:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: glibc-2.14.90-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-26 07:54:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
pass "--host %{nptl_target_cpu}-redhat-linux-gnueabi" to ./configure (875 bytes, patch)
2011-07-15 04:57 EDT, Niels de Vos
no flags Details | Diff

  None (edit)
Description Niels de Vos 2011-07-15 04:57:06 EDT
Created attachment 513341 [details]
pass "--host %{nptl_target_cpu}-redhat-linux-gnueabi" to ./configure

Description of problem:
glibc can currently not be built on ARM platforms.


Version-Release number of selected component (if applicable):
glibc-2.14.90-1


How reproducible:

Steps to Reproduce:
1. arm-koji build --scratch --skip-tag dist-f14 'git://pkgs.fedoraproject.org/glibc?#538b3c089927e05128e8030e3c57ac318187dd5e'
  
Actual results:
Build fails with the following errors:

> make -s subdir=math -C math ..=../ subdir_lib
> make[2]: Entering directory `/builddir/build/BUILD/glibc-2.14-58-g2c0e54f/math'
> mkdir /builddir/build/BUILD/glibc-2.14-58-g2c0e54f/build-armv5tel-linuxnptl/math
> /tmp/ccF0m9yg.s: Assembler messages:
> /tmp/ccF0m9yg.s:41: Error: selected processor does not support `rfs r1'
> /tmp/ccF0m9yg.s:54: Error: selected processor does not support `wfs r3'
> make[2]: *** [/builddir/build/BUILD/glibc-2.14-58-g2c0e54f/build-armv5tel-linuxnptl/math/setfpucw.o] Error 1


Expected results:

Build continues.
Note that there are some other issues that need to be solved as well, separate bugs will likely follow.


Additional info:

gcc has the same issue, and they use the following construct in their .spec:
> # On ARM EABI systems, we do want -gnueabi to be part of the
> # target triple.
> %ifnarch %{arm}
> %global _gnu %{nil}
> %endif
Comment 1 Niels de Vos 2011-07-28 16:44:37 EDT
Verified by review (nicely solved btw) and re-building glibc-2.14.90-4.
Many thanks!

Note You need to log in before you can comment on or make changes to this bug.